<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Datastructure: src/queue.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Datastructure
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">queue.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="queue_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * To change this license header, choose License Headers in Project Properties.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * To change this template file, choose Tools | Templates</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * and open the template in the editor.</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">/* </span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * File:   queue.h</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * Author: aurelio</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;stdbool.h&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifndef QUEUE_H</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define QUEUE_H</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="queue_8h.html#a4b56a6f23e044affca38eed1834e98dc">   19</a></span>&#160;<span class="preprocessor">#define QUEUE_MAX_SIZE 100</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="struct_queue.html">   21</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>{</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="struct_queue.html#a712b110098ccfa5b2d6b636ed199794b">   22</a></span>&#160;    <span class="keywordtype">float</span> data[<a class="code" href="queue_8h.html#a4b56a6f23e044affca38eed1834e98dc">QUEUE_MAX_SIZE</a>];</div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="struct_queue.html#a750b5d744c39a06bfb13e6eb010e35d0">   23</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="struct_queue.html#a750b5d744c39a06bfb13e6eb010e35d0">index</a>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;} <a class="code" href="struct_queue.html">Queue</a>;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* QUEUE_H */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keywordtype">void</span> <a class="code" href="queue_8h.html#a61df61ae1278dd46641315444ab00356">init_queue</a>(<a class="code" href="struct_queue.html">Queue</a> *s);</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keywordtype">void</span> <a class="code" href="queue_8h.html#aee4cdc64e4fb038915201bb5f481dcc0">enqueue</a>(<a class="code" href="struct_queue.html">Queue</a> *q, <span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keywordtype">float</span> <a class="code" href="queue_8h.html#a963c35fdb8a91292169e3c65dfa6b56b">dequeue</a>(<a class="code" href="struct_queue.html">Queue</a> *q);</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="queue_8h.html#a813806bdcfc85411e001285c7607f3ef">is_queue_empty</a>(<a class="code" href="struct_queue.html">Queue</a> *q);</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keywordtype">float</span> <a class="code" href="queue_8h.html#a0285b50c50dd0dcc29b712684d2569c7">front</a>(<a class="code" href="struct_queue.html">Queue</a> *q); <span class="comment">//aka peek</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keywordtype">void</span> <a class="code" href="queue_8h.html#abec0a1bc3bed054d109a02d96d0274a1">clearqueue</a>(<a class="code" href="struct_queue.html">Queue</a> *q);</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="ttc" id="aqueue_8h_html_a0285b50c50dd0dcc29b712684d2569c7"><div class="ttname"><a href="queue_8h.html#a0285b50c50dd0dcc29b712684d2569c7">front</a></div><div class="ttdeci">float front(Queue *q)</div><div class="ttdef"><b>Definition:</b> queue.c:29</div></div>
<div class="ttc" id="aqueue_8h_html_a4b56a6f23e044affca38eed1834e98dc"><div class="ttname"><a href="queue_8h.html#a4b56a6f23e044affca38eed1834e98dc">QUEUE_MAX_SIZE</a></div><div class="ttdeci">#define QUEUE_MAX_SIZE</div><div class="ttdef"><b>Definition:</b> queue.h:19</div></div>
<div class="ttc" id="aqueue_8h_html_a61df61ae1278dd46641315444ab00356"><div class="ttname"><a href="queue_8h.html#a61df61ae1278dd46641315444ab00356">init_queue</a></div><div class="ttdeci">void init_queue(Queue *s)</div><div class="ttdef"><b>Definition:</b> queue.c:11</div></div>
<div class="ttc" id="aqueue_8h_html_a813806bdcfc85411e001285c7607f3ef"><div class="ttname"><a href="queue_8h.html#a813806bdcfc85411e001285c7607f3ef">is_queue_empty</a></div><div class="ttdeci">bool is_queue_empty(Queue *q)</div><div class="ttdef"><b>Definition:</b> queue.c:25</div></div>
<div class="ttc" id="aqueue_8h_html_a963c35fdb8a91292169e3c65dfa6b56b"><div class="ttname"><a href="queue_8h.html#a963c35fdb8a91292169e3c65dfa6b56b">dequeue</a></div><div class="ttdeci">float dequeue(Queue *q)</div><div class="ttdef"><b>Definition:</b> queue.c:20</div></div>
<div class="ttc" id="aqueue_8h_html_abec0a1bc3bed054d109a02d96d0274a1"><div class="ttname"><a href="queue_8h.html#abec0a1bc3bed054d109a02d96d0274a1">clearqueue</a></div><div class="ttdeci">void clearqueue(Queue *q)</div><div class="ttdef"><b>Definition:</b> queue.c:32</div></div>
<div class="ttc" id="aqueue_8h_html_aee4cdc64e4fb038915201bb5f481dcc0"><div class="ttname"><a href="queue_8h.html#aee4cdc64e4fb038915201bb5f481dcc0">enqueue</a></div><div class="ttdeci">void enqueue(Queue *q, float value)</div><div class="ttdef"><b>Definition:</b> queue.c:15</div></div>
<div class="ttc" id="astruct_queue_html"><div class="ttname"><a href="struct_queue.html">Queue</a></div><div class="ttdef"><b>Definition:</b> queue.h:21</div></div>
<div class="ttc" id="astruct_queue_html_a750b5d744c39a06bfb13e6eb010e35d0"><div class="ttname"><a href="struct_queue.html#a750b5d744c39a06bfb13e6eb010e35d0">Queue::index</a></div><div class="ttdeci">int index</div><div class="ttdef"><b>Definition:</b> queue.h:23</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
